### Class

# Ggit CloneOptions

#### Description [src]

    class Ggit.CloneOptions : GObject.Object
    {
      /* No available fields */
    }

Represents the options used when cloning.

#### Ancestors

- GObject

#### Constructors

###### ggit_clone_options_new

Creates a new `GgitCloneOptions`.

#### Instance methods

###### ggit_clone_options_get_checkout_branch

Gets the name of the branch to checkout or `NULL`.

###### ggit_clone_options_get_fetch_options

Get the fetch options object or `NULL` if not set.

###### ggit_clone_options_get_is_bare

Gets if the repository will be bare.

###### ggit_clone_options_get_local

Get setting for bypassing the git-aware transport when cloning. The default auto setting bypasses the git-aware transport for local paths, but use a normal fetch for file:// URIs.

###### ggit_clone_options_set_checkout_branch

Gives the name of the branch to checkout. `NULL` means use the remote’s HEAD.

###### ggit_clone_options_set_fetch_options

Set the fetch options object.

###### ggit_clone_options_set_is_bare

Sets whether to clone a bare repository.

###### ggit_clone_options_set_local

Set setting for bypassing the git-aware transport when cloning. The default auto setting bypasses the git-aware transport for local paths, but use a normal fetch for file:// URIs.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitCloneOptionsClass {
      GObjectClass parent_class;
      GgitRepository* (* create_repository) (
        GgitCloneOptions* options,
        const gchar* path,
        gboolean is_bare,
        GError** error
      );
      GgitRemote* (* create_remote) (
        GgitCloneOptions* options,
        GgitRepository* repository,
        const gchar* name,
        const gchar* url,
        GError** error
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`create_repository: GgitRepository* (* create_repository) ( GgitCloneOptions* options, const gchar* path, gboolean is_bare, GError** error )`

  No description available.

`create_remote: GgitRemote* (* create_remote) ( GgitCloneOptions* options, GgitRepository* repository, const gchar* name, const gchar* url, GError** error )`

  No description available.

#### Virtual methods

###### Ggit.CloneOptionsClass.create_remote

No description available.

###### Ggit.CloneOptionsClass.create_repository

No description available.